diff mbox series

[ovs-dev,v2,1/4] appveyor: Print out config.log on configuration failure.

Message ID 20240301211045.3714106-2-i.maximets@ovn.org
State Accepted
Commit d439c201799e9c2316ca5848e1539c9566bf294c
Delegated to: Ilya Maximets
Headers show
Series Windows: Fix OpenSSL build and ovs-pki. | expand

Checks

Context Check Description
ovsrobot/apply-robot success apply and check: success
ovsrobot/github-robot-_Build_and_Test success github build: passed
ovsrobot/intel-ovs-compilation success test: success

Commit Message

Ilya Maximets March 1, 2024, 9:10 p.m. UTC
We need to know exact linking / compilation errors in order
to fix issues.  We could have uploaded it as an artifact,
but it seems easier to just print it out for now.

Acked-by: Simon Horman <horms@ovn.org>
Signed-off-by: Ilya Maximets <i.maximets@ovn.org>
---
 .ci/windows-build.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
diff mbox series

Patch

diff --git a/.ci/windows-build.sh b/.ci/windows-build.sh
index 22994fcdd..e54fbacf4 100644
--- a/.ci/windows-build.sh
+++ b/.ci/windows-build.sh
@@ -9,7 +9,7 @@  CONFIGURATION=$1
     --prefix=C:/openvswitch/usr --localstatedir=C:/openvswitch/var \
     --sysconfdir=C:/openvswitch/etc --with-pthread=c:/PTHREADS-BUILT/ \
     --enable-ssl --with-openssl=C:/OpenSSL-Win64 \
-    --with-vstudiotarget="${CONFIGURATION}"
+    --with-vstudiotarget="${CONFIGURATION}" || (cat config.log && exit 1)
 
 make -j4
 make datapath_windows_analyze